> For the complete documentation index, see [llms.txt](https://docs.yo.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.yo.xyz/integrations/integration-guides.md).

# Integration Guides

There are three ways to integrate YO into your dApp or protocol:&#x20;

1\) **SDK:** a simple Typescript toolkit that lets developers interact with YO  vaults from their own apps.&#x20;

{% content-ref url="/pages/628067bfc45bbeeb9f57d3cd239ae4a3465d7841" %}
[SDK](/integrations/integration-guides/sdk.md)
{% endcontent-ref %}

2\) **Widget:** a plug-and-play solution for apps to embed YO directly in their UX

{% embed url="<https://www.npmjs.com/package/@yo-protocol/widget-sdk>" %}

3\) y**oGateway:** an onchain interface to interact with all current and future yoVaults, with built-in tools for slippage and allowance management. Integrate with 1 contract instead of multiple individual interfaces.&#x20;

{% content-ref url="/pages/5ArS74Cet0964KiJS2Nh" %}
[yoGateway](/integrations/integration-guides/yogateway.md)
{% endcontent-ref %}

4\) **Individual Contracts:** if you prefer to integrate a single contract, you can do it as well. Vaults follow the ERC 4626 standard.&#x20;

{% content-ref url="/pages/AJ7PnYTnqS3OpvLnBwtX" %}
[Individual Contracts](/integrations/integration-guides/individual-contracts.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.yo.xyz/integrations/integration-guides.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
